## GladeEditor

GladeEditor — A Widget to edit a GladeWidget.

## Functions

#define | GLADE_EDITOR_TABLE ()
#define | GLADE_IS_EDITOR_TABLE ()
GladeEditor * | glade_editor_new ()
void | glade_editor_load_widget ()
void | glade_editor_refresh ()
gboolean | glade_editor_query_dialog ()
void | glade_editor_show_info ()
void | glade_editor_hide_info ()

## Properties

gboolean | show-info | Read
GladeWidget * | widget | Read / Write

## Signals

void | gtk-doc-search | Run Last

## Types and Values

struct | GladeEditorTable
struct | GladeEditor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── GladeEditor

## Implemented Interfaces

GladeEditor implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

This is the Glade Notebook containing all the controls needed to configure a GladeWidget.

## Functions

### GLADE_EDITOR_TABLE()

    #define GLADE_EDITOR_TABLE(obj)		    (G_TYPE_CHECK_INSTANCE_CAST ((obj), GLADE_TYPE_EDITOR_TABLE, GladeEditorTable))

### GLADE_IS_EDITOR_TABLE()

    #define GLADE_IS_EDITOR_TABLE(obj)	    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLADE_TYPE_EDITOR_TABLE))

### glade_editor_new ()

    GladeEditor *
    glade_editor_new (void);

#### Returns

a new GladeEditor

### glade_editor_load_widget ()

    void
    glade_editor_load_widget (GladeEditor *editor,
                              GladeWidget *widget);

Load `widget` into `editor` . If `widget` is `NULL`, clear the editor.

#### Parameters

editor | a GladeEditor |
widget | a GladeWidget |

### glade_editor_refresh ()

    void
    glade_editor_refresh (GladeEditor *editor);

Synchronize `editor` with the currently loaded widget.

#### Parameters

editor | a GladeEditor |

### glade_editor_query_dialog ()

    gboolean
    glade_editor_query_dialog (GladeEditor *editor,
                               GladeWidget *widget);

### glade_editor_show_info ()

    void
    glade_editor_show_info (GladeEditor *editor);

### glade_editor_hide_info ()

    void
    glade_editor_hide_info (GladeEditor *editor);

## Types and Values

### struct GladeEditorTable

    struct GladeEditorTable {
    	GtkTable  parent;

    	GladeWidgetAdaptor *adaptor; /* The GladeWidgetAdaptor this
    				      * table was created for.
    				      */

    	GladeWidget *loaded_widget; /* A pointer to the currently loaded GladeWidget
    				     */

    	GtkSizeGroup *group; /* Group of editing widgets in the right hand column */

    	GtkWidget *name_label; /* A pointer to the "Name:" label (for show/hide) */
    	GtkWidget *name_entry; /* A pointer to the gtk_entry that holds
    				* the name of the widget. This is the
    				* first item _pack'ed to the table_widget.
    				* We have a pointer here because it is an
    				* entry which will not be created from a
    				* GladeProperty but rather from code.
    				*/

    	GList *properties; /* A list of GladeEditorPropery items.
    			    * For each row in the gtk_table, there is a
    			    * corrsponding GladeEditorProperty struct.
    			    */

    	GladeEditorPageType type; /* Is this table to be used in the common tab, ?
    				   * the general tab, a packing tab or the query popup ?
    				   */

    	gint rows;
    };

### struct GladeEditor

    struct GladeEditor;

## Property Details

### The `“show-info”` property

      “show-info”                gboolean

Whether to show an informational button for the loaded widget.

Flags: Read

Default value: FALSE

### The `“widget”` property

      “widget”                   GladeWidget *

The currently loaded widget in this editor.

Flags: Read / Write

## Signal Details

### The `“gtk-doc-search”` signal

    void
    user_function (GladeEditor *gladeeditor,
                   gchar       *arg1,
                   gchar       *arg2,
                   gchar       *arg3,
                   gpointer     user_data)

Emitted when the editor requests that a doc-search be performed.

#### Parameters

gladeeditor | the GladeEditor which received the signal. |
arg1 | the (gchar *) book to search or `NULL` |
arg2 | the (gchar *) page to search or `NULL` |
arg3 | the (gchar *) search string or `NULL` |
user_data | user data set when the signal handler was connected. |

Flags: Run Last